/////////////////////////////////////////////////////////////////////////
//
// Modifying an Existing Origin Menu
//
/////////////////////////////////////////////////////////////////////////
menu -w;         // Activate Worksheet menu bar 
menu ?St.1;      // Activate Descriptive Statistics submenu on Statistics menu
menu.itemdel(4); // Delete Normality Test (4th) menu item on submenu

menu ?St;        // Activate Statistics menu
menu -l -i 3 (&Non-Parametric Hypothesis Testing);
                 // Insert submenu in 3rd position
menu (&Mann Whitney U-Test) {type -b Mann Whitney U-Test};
menu (&Wilcoxon Signed Rank Test) {type -b Wilcoxon Signed Rank Test};
                 // Append submenu menu items
menu -l;         // Close submenu additions

menu ?St.4;      // Activate ANOVA submenu on Statistics menu
menu -i 1 (&Repeated Measure ANOVA) {type -b Repeated Measure ANOVA};
                 // Insert menu item in 1st position
menu -i 2;       // Insert menu separator in 2nd position of submenu
menu;            // Append menu separator at end of submenu
menu (&MANOVA) {type -b MANOVA};
                 // Append menu item at end of submenu

menu ?St;        // Activate Statistics menu
menu.itemdel(5); // Delete old Multiple Regression menu item on Statistics menu
menu -i 5 (New &Multiple Regression...) {type -b New Multiple Regression...}
                 // Insert new menu item on Statistics menu


/////////////////////////////////////////////////////////////////////////
//
// Creating a New Menu
//
/////////////////////////////////////////////////////////////////////////
menu -wmpgv;      // Activate all Origin menu bars 
menu 3 (&GetData); // Create new GetData menu
                  // Add two new menu items and a separator
menu (Calibrate Remote &Transponder) {type -b Calibrate Remote Transponder};
menu (&Test Connection) {type -b Test Connection};
menu;

menu -l (Collect &Data); // Add a submenu with three menu items
menu (From &RS232c) {type -b From RS232c};
menu (From &Com) {type -b From Com};
menu (From &USB) {type -b From USB};
menu -l;         // Close submenu additions
menu;            // Add a separator

// Create an Uncheck Calibration menu item calling section of script 
menu (&Uncheck Calibration) {run.section(CustomMenus.OGS,CheckCalibration)};
run.section(CustomMenus.OGS,InitCalibration); // Initialize LabTalk variables

/////////////////////////////////////////////////////////////////////////
//
// Removing an Entire Menu
//
/////////////////////////////////////////////////////////////////////////
menu -wgmpv;      // Activate all Origin menu bars 
menu -r ?Vi;      // Remove View menu from all Origin menu bars
